Bug 430340 - i18n: POT creation fails
Summary: i18n: POT creation fails
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
high
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-26 13:18 UTC by Dimitris Glezos
Modified: 2008-03-31 10:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 10:41:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dimitris Glezos 2008-01-26 13:18:39 UTC
## Description of problem:

There are some files missing from POTFILES.{in,skip} that cause intltool (and
our translation statistics website) to choke. We need to make sure `intltool -r`
never complains, otherwise translators can't work.

$ intltool-update -r
/usr/bin/xgettext: error while opening "./../src/version.py" for reading: No
such file or directory
ERROR: xgettext failed to generate PO template file. Please consult
       error message above if there is any.

For more information, see the following FAQ:
http://fedoraproject.org/wiki/L10N/Tools/Website#missing-files-no-pot

Comment 1 Harald Hoyer 2008-01-28 11:25:50 UTC
hmm, version.py as well as some *.desktop files are only created after:

$ configure
$ make



Comment 2 Dimitris Glezos 2008-01-28 12:16:38 UTC
Aha, makes sense. But the tools (intltool, statistics interface) and translators
don't know about that, so they'll be faced with a problem here.

Maybe it can be fixed with other intltool based tools like `intltool-prepare`
etc? Any idea on how other projects handle this?

If it can't be fixed on the toolchain layer, maybe we could just have those
files added in the VCS and overwritten when configure/make is called.

Comment 3 Harald Hoyer 2008-02-21 16:40:36 UTC
should be fixed


Note You need to log in before you can comment on or make changes to this bug.